Package org.w3._2000._09.xmldsig

# Class SignatureProperty

java.lang.Object
org.w3._2000._09.xmldsig.SignatureProperty

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:08:50+02:00", comments="JAXB RI v4.0.5") public class SignatureProperty extends Object implements Serializable

Java class for SignaturePropertyType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="SignaturePropertyType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <choice maxOccurs="unbounded">
             <any processContents='lax' namespace='##other'/>
           </choice>
           <attribute name="Target" use="required" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
           <attribute name="Id" type="{http://www.w3.org/2001/XMLSchema}ID" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SignatureProperty()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<Object>`
  `getContent()`
  Gets the value of the content property.
  `String`
  `getId()`
  Gets the value of the id property.
  `String`
  `getTarget()`
  Gets the value of the target property.
  `void`
  `setId(String value)`
  Sets the value of the id property.
  `void`
  `setTarget(String value)`
  Sets the value of the target property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SignatureProperty

    public SignatureProperty()

- ## Method Details

  - ### getContent

    public List<Object> getContent()
    Gets the value of the content property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the content property.

    For example, to add a new item, do as follows:

         getContent().add(newItem);

    Objects of the following type(s) are allowed in the list `Object` `String` `Element`

    Returns:
      The value of the content property.

  - ### getTarget

    public String getTarget()
    Gets the value of the target property.
    Returns:
      possible object is `String`

  - ### setTarget

    public void setTarget(String value)
    Sets the value of the target property.
    Parameters:
      `value` - allowed object is `String`

  - ### getId

    public String getId()
    Gets the value of the id property.
    Returns:
      possible object is `String`

  - ### setId

    public void setId(String value)
    Sets the value of the id property.
    Parameters:
      `value` - allowed object is `String`